org.apache.lucene.index

## Class SuppressingConcurrentMergeScheduler

- java.lang.Object
- - org.apache.lucene.index.MergeScheduler
  - - org.apache.lucene.index.ConcurrentMergeScheduler
    - - org.apache.lucene.index.SuppressingConcurrentMergeScheduler

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public abstract class SuppressingConcurrentMergeScheduler
      extends ConcurrentMergeScheduler

  A `ConcurrentMergeScheduler` that ignores AlreadyClosedException.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.ConcurrentMergeScheduler

      `ConcurrentMergeScheduler.MergeThread`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.ConcurrentMergeScheduler

      `AUTO_DETECT_MERGES_AND_THREADS, DEFAULT_CPU_CORE_COUNT_PROPERTY, DEFAULT_SPINS_PROPERTY, mergeThreadCount, mergeThreads, targetMBPerSec`

    - ### Fields inherited from class org.apache.lucene.index.MergeScheduler

      `infoStream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuppressingConcurrentMergeScheduler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleMergeException(Directory dir, Throwable exc)`
    `protected abstract boolean` | `isOK(Throwable t)`

    - ### Methods inherited from class org.apache.lucene.index.ConcurrentMergeScheduler

      `close, disableAutoIOThrottle, doMerge, doStall, enableAutoIOThrottle, getAutoIOThrottle, getForceMergeMBPerSec, getIORateLimitMBPerSec, getMaxMergeCount, getMaxThreadCount, getMergeThread, maybeStall, merge, mergeThreadCount, setDefaultMaxMergesAndThreads, setForceMergeMBPerSec, setMaxMergesAndThreads, sync, targetMBPerSecChanged, toString, updateMergeThreads, wrapForMerge`

    - ### Methods inherited from class org.apache.lucene.index.MergeScheduler

      `message, verbose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SuppressingConcurrentMergeScheduler

          public SuppressingConcurrentMergeScheduler()

  - ### Method Detail

    - #### handleMergeException

          protected void handleMergeException(Directory dir,
                                              Throwable exc)

      Overrides:
        `handleMergeException` in class `ConcurrentMergeScheduler`

    - #### isOK

          protected abstract boolean isOK(Throwable t)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.